Bug 1449354

Summary: docker-compose: build for EPEL7
Product: [Fedora] Fedora EPEL Reporter: Carl George <carl>
Component: docker-composeAssignee: Dave Johansen <davejohansen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: davejohansen
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: docker-compose-1.9.0-5.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-06-26 20:47:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1449351, 1449352    
Bug Blocks:    

Description Carl George 2017-05-09 18:20:39 UTC
I would like to use this package on EL7.  I can see that an EPEL7 branch exists, but there are no builds.  I have requested admin rights in pkgdb to take care of this myself.

I intend to build version 1.9.0 for this.  That was the last upstream version that used Docker Python SDK 1.x (a.k.a. docker-py). Newer versions use Docker Python SDK 2.x, which is not packaged for EL7 and would be problematic to do so because of file conflicts with 1.x.  docker-compose 1.9.0 was packaged in f25, so it should be as simple as `git checkout epel7 && git merge f25`.

Comment 1 Carl George 2017-05-09 18:29:21 UTC
There are a few things blocking this, and I've marked them as such.  I do have a functional proof of concept COPR going.

https://copr.fedorainfracloud.org/coprs/carlgeorge/docker-compose/

Comment 2 Fedora Update System 2017-06-06 22:21:48 UTC
docker-compose-1.9.0-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d409101507

Comment 3 Fedora Update System 2017-06-07 16:54:44 UTC
docker-compose-1.9.0-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d409101507

Comment 4 Fedora Update System 2017-06-26 20:47:59 UTC
docker-compose-1.9.0-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.